# Fresh: Keeping your docker stacks up to date

Fresh was written to scratch an itch. It works by querying the respective repositories
returning

## Building

Build using NoccyLabs Pharlite.


## Usage

To check for updates, pull updated images and recreate any containers defined in the
`docker-compose.yml` in the current directory:

```
$ fresh.phar 
```

For all available options, use the `--help` flag.

## Known Issues

- There is currently no way to update the state when manually updating using the
  `--check` flag.
- Only checks authenticated registries for new versions. But if you are using
  this you probably aren't using DockerHub anyway.
- ~Using the `-q` or `--quiet` flags doesn't mute the output from `docker-compose`.~
- ~Using `--check` still updates the state, need a `--no-state` flag or so to ~
  ~prevent updating the state.~

## FAQ

- **How does Fresh remember the last seen hash?** The container hashes are stored
  in the same directory as the `docker-compose.yml` file in a file named `fresh.yml`.
  Remove this file to force trigger an update.

## Changes

**0.1.1**

- Moved the logic from the entrypoint script to its own class.
- Added locking (though `fresh.lock` lockfile) to prevent multiple instances.
- Added `--after` hook to invoke script after update.
- Disabled automatic flushing of the state to disk; --check will no longer update
  the state file, but --pull and default update will.

